target("VulkanTest")
    set_rundir(".")
    set_kind("binary")
    add_rules("utils.glsl2spv",{outputdir = os:scriptdir() .. "/shader/spv"})
    add_packages("vulkansdk","glfw","glm","tinyobjloader")
    add_includedirs("src")
    add_files("src/*.cpp","*.cpp")
    add_files("shader/*.frag","shader/*.vert")
    add_headerfiles("src/*.hpp")

